using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class Unk0E1APacket : Packet
    {
        public uint Unk1 { get; set; } = 0;
        public uint Unk2 { get; set; } = 0;
        public uint Unk3 { get; set; } = 0;

        public Unk0E1APacket(uint unk1, uint unk2, uint unk3)
        {
            Unk1 = unk1;
            Unk2 = unk2;
            Unk3 = unk3;
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.Write(Unk1);
            pkt.Write(Unk2);
            pkt.Write(Unk3);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x0E, 0x1A, PacketFlags.None);
        }

        #endregion
    }
}